> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flashdocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Document Configuration Full Data



## OpenAPI

````yaml https://api.flashdocs.ai/openapi.json get /v1/documents/{document_id}/full
openapi: 3.1.0
info:
  title: FlashDocs API
  description: API for FlashDocs application
  version: 1.0.0
servers:
  - url: https://api.flashdocs.ai
    description: Production server
security: []
paths:
  /v1/documents/{document_id}/full:
    get:
      tags:
        - FlashDocs Document Configuration
      summary: Get Document Configuration Full Data
      operationId: get_document_full_data_v1_documents__document_id__full_get
      parameters:
        - name: document_id
          in: path
          required: true
          schema:
            type: string
            title: Document Id
        - name: include_slides
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Slides
        - name: include_questions
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Questions
        - name: include_knowledge_base
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Knowledge Base
        - name: include_embeddings
          in: query
          required: false
          schema:
            type: boolean
            default: false
            title: Include Embeddings
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentFullData'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2PasswordBearer: []
components:
  schemas:
    DocumentFullData:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier
        created_at:
          type: string
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          title: Updated At
          description: Last update timestamp
        organization_id:
          type: string
          title: Organization Id
          description: ID of the organization this document belongs to
        type:
          allOf:
            - $ref: '#/components/schemas/DocumentType'
          description: Type of the document (template or library)
        created_by:
          type: string
          title: Created By
          description: Email of user (non FlashDocs) who created the document
          default: ''
        name:
          type: string
          title: Name
          description: Name of the document
        description:
          type: string
          title: Description
          description: Detailed description of the document
        status:
          allOf:
            - $ref: '#/components/schemas/DocumentStatus'
          description: Current status of the document
          default: in_progress
        google_document_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Document Id
          description: ID of the corresponding Google Slides document
        knowledge_base_item_ids:
          items:
            type: string
          type: array
          title: Knowledge Base Item Ids
          description: item_id for each knowledge base item associated with document.
          default: []
        format:
          allOf:
            - $ref: '#/components/schemas/Format'
          description: Format of the document google vs microsoft
          default: google
        slides:
          items:
            $ref: '#/components/schemas/Slide'
          type: array
          title: Slides
          default: []
        questions:
          items:
            $ref: '#/components/schemas/Question'
          type: array
          title: Questions
          default: []
        knowledge_base_items:
          items:
            $ref: '#/components/schemas/KnowledgeBaseItem'
          type: array
          title: Knowledge Base Items
          default: []
      type: object
      required:
        - organization_id
        - type
        - name
        - description
      title: DocumentFullData
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    DocumentType:
      type: string
      enum:
        - template
        - library
      title: DocumentType
    DocumentStatus:
      type: string
      enum:
        - deployed
        - in_progress
      title: DocumentStatus
    Format:
      type: string
      enum:
        - google
        - microsoft
      title: Format
    Slide:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier
        created_at:
          type: string
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          title: Updated At
          description: Last update timestamp
        document_id:
          type: string
          title: Document Id
          description: ID of the document this slide belongs to
        organization_id:
          type: string
          title: Organization Id
          description: ID of the organization this document belongs to
        format_data:
          allOf:
            - $ref: '#/components/schemas/FormatData'
          description: Format of the document google vs microsoft
          default: {}
        index:
          type: integer
          title: Index
          description: Position of the slide in the document
        description:
          type: string
          title: Description
          description: Detailed description of the slide
        text_placeholders:
          items:
            $ref: '#/components/schemas/TextPlaceholder'
          type: array
          title: Text Placeholders
          description: List of text placeholder customization items.
          default: []
        image_placeholders:
          items:
            $ref: '#/components/schemas/ImagePlaceholder'
          type: array
          title: Image Placeholders
          description: List of image placeholder customization items.
          default: []
        chart_placeholders:
          anyOf:
            - items:
                $ref: '#/components/schemas/ChartPlaceHolder'
              type: array
            - type: 'null'
          title: Chart Placeholders
          description: List of chart placeholder customization items.
          default: []
        looker_image_placeholders:
          anyOf:
            - items:
                $ref: '#/components/schemas/LookerImagePlaceHolder'
              type: array
            - type: 'null'
          title: Looker Image Placeholders
          description: List of looker image placeholder customization items.
          default: []
        table_placeholders:
          anyOf:
            - items:
                $ref: '#/components/schemas/TablePlaceholder'
              type: array
            - type: 'null'
          title: Table Placeholders
          description: List of table placeholder customization items.
          default: []
        embedding:
          anyOf:
            - items:
                type: number
              type: array
            - type: 'null'
          title: Embedding
          description: Embedding of the slide description
          default: []
        format:
          allOf:
            - $ref: '#/components/schemas/Format'
          description: Format of the document google vs microsoft
      type: object
      required:
        - document_id
        - organization_id
        - index
        - description
        - format
      title: Slide
    Question:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier
        created_at:
          type: string
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          title: Updated At
          description: Last update timestamp
        document_id:
          type: string
          title: Document Id
          description: ID of the document this question belongs to
        header:
          type: string
          title: Header
          description: Header or title of the question
        description:
          type: string
          title: Description
          description: Detailed description or content of the question
        answer_type:
          allOf:
            - $ref: '#/components/schemas/QuestionAnswerType'
          description: Type of answer expected for this question
      type: object
      required:
        - document_id
        - header
        - description
        - answer_type
      title: Question
    KnowledgeBaseItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier
        created_at:
          type: string
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          title: Updated At
          description: Last update timestamp
        organization_id:
          type: string
          title: Organization Id
          description: ID of the organization this knowledge base item belongs to
        name:
          type: string
          title: Name
          description: Name of the knowledge base item
        description:
          type: string
          title: Description
          description: Detailed description of the knowledge base item
        value:
          type: string
          title: Value
          description: Value of knowledge base item
        created_by:
          type: string
          title: Created By
          description: Email of user (non FlashDocs) who created the document
          default: ''
      type: object
      required:
        - organization_id
        - name
        - description
        - value
      title: KnowledgeBaseItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    FormatData:
      properties:
        google_document_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Document Id
        google_slide_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Google Slide Id
      type: object
      title: FormatData
    TextPlaceholder:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier
        created_at:
          type: string
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          title: Updated At
          description: Last update timestamp
        placeholder:
          type: string
          title: Placeholder
          description: The placeholder text in the slide
        instruction:
          type: string
          title: Instruction
          description: Instructions for generating the text
        original_text:
          anyOf:
            - type: string
            - type: 'null'
          title: Original Text
          description: Original text in the textbox before the placeholder was created
        min_chars:
          type: integer
          title: Min Chars
          description: Minimum number of characters for the generated text
          default: 0
        max_chars:
          type: integer
          title: Max Chars
          description: Maximum number of characters for the generated text
        font_size:
          anyOf:
            - type: number
            - type: 'null'
          title: Font Size
          description: Font size for the text
        text_box_width:
          anyOf:
            - type: number
            - type: 'null'
          title: Text Box Width
          description: Width of the text box
        text_box_height:
          anyOf:
            - type: number
            - type: 'null'
          title: Text Box Height
          description: Height of the text box
        line_spacing:
          anyOf:
            - type: number
            - type: 'null'
          title: Line Spacing
          description: Line spacing for the text
        space_before:
          anyOf:
            - type: number
            - type: 'null'
          title: Space Before
          description: Space before the text
        space_after:
          anyOf:
            - type: number
            - type: 'null'
          title: Space After
          description: Space after the text
        line_height:
          anyOf:
            - type: number
            - type: 'null'
          title: Line Height
          description: Line height for the text
        margin_top:
          anyOf:
            - type: number
            - type: 'null'
          title: Margin Top
          description: Margin top for the text
        margin_bottom:
          anyOf:
            - type: number
            - type: 'null'
          title: Margin Bottom
          description: Margin bottom for the text
        margin_left:
          anyOf:
            - type: number
            - type: 'null'
          title: Margin Left
          description: Margin left for the text
        margin_right:
          anyOf:
            - type: number
            - type: 'null'
          title: Margin Right
          description: Margin right for the text
        text_wrap:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Text Wrap
          description: Text wrap for the text
      type: object
      required:
        - placeholder
        - instruction
        - max_chars
      title: TextPlaceholder
    ImagePlaceholder:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier
        created_at:
          type: string
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          title: Updated At
          description: Last update timestamp
        alt_text:
          type: string
          title: Alt Text
          description: Alt text of the placeholder image
        type:
          allOf:
            - $ref: '#/components/schemas/ImagePlaceholderType'
          description: Type of the image placeholder
        url:
          anyOf:
            - type: string
            - type: 'null'
          title: Url
          description: URL for the image (company domain or direct image URL)
        attributes:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Attributes
          description: Additional attributes for the placeholder
        chart_sheet_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Chart Sheet Name
          description: Name of the sheet in the Excel where the chart exists
      type: object
      required:
        - alt_text
        - type
      title: ImagePlaceholder
    ChartPlaceHolder:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier
        created_at:
          type: string
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          title: Updated At
          description: Last update timestamp
        spreadsheet_google_document_id:
          type: string
          title: Spreadsheet Google Document Id
          description: ID of the Google Sheets Document where the placeholder chart exists
        prompt:
          anyOf:
            - type: string
            - type: 'null'
          title: Prompt
          description: Optional additional prompt for creating the data for the chart
        attributes:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Attributes
          description: Additional attributes for the placeholder
      type: object
      required:
        - spreadsheet_google_document_id
      title: ChartPlaceHolder
    LookerImagePlaceHolder:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier
        created_at:
          type: string
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          title: Updated At
          description: Last update timestamp
        alt_text:
          type: string
          title: Alt Text
          description: Alt text of the placeholder image
        dashboard_id:
          type: string
          title: Dashboard Id
          description: ID of the Looker dashboard element
        component_index:
          type: integer
          title: Component Index
          description: Index of the Looker component in the dashboard
        width:
          type: integer
          title: Width
          description: Width of the overall Looker dashboard to render
          default: 800
        height:
          type: integer
          title: Height
          description: Height of the overall Looker dashboard to render
          default: 600
        dashboard_filters:
          anyOf:
            - type: string
            - type: 'null'
          title: Dashboard Filters
          description: Filters to apply to the Looker dashboard
        dashboard_style:
          anyOf:
            - type: string
            - type: 'null'
          title: Dashboard Style
          description: Style to apply to the Looker dashboard
        crop_data:
          anyOf:
            - $ref: '#/components/schemas/CropData'
            - type: 'null'
          description: >-
            Coordinates to crop the image and original size of pre-cropped
            image. Defaults to None
        attributes:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Attributes
          description: Additional attributes for the placeholder
      type: object
      required:
        - alt_text
        - dashboard_id
        - component_index
      title: LookerImagePlaceHolder
    TablePlaceholder:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier
        created_at:
          type: string
          title: Created At
          description: Creation timestamp
        updated_at:
          type: string
          title: Updated At
          description: Last update timestamp
        num_rows:
          type: integer
          title: Num Rows
          description: Number of rows in the table
        num_columns:
          type: integer
          title: Num Columns
          description: Number of columns in the table
        table_height:
          type: number
          title: Table Height
          description: Height of the table
        table_width:
          type: number
          title: Table Width
          description: Width of the table
        alt_text:
          type: string
          title: Alt Text
          description: Alt text of the table
      type: object
      required:
        - num_rows
        - num_columns
        - table_height
        - table_width
        - alt_text
      title: TablePlaceholder
    QuestionAnswerType:
      type: string
      enum:
        - paragraph
        - url
      title: QuestionAnswerType
    ImagePlaceholderType:
      type: string
      enum:
        - company_domain
        - image_url
        - excel_chart
      title: ImagePlaceholderType
    CropData:
      properties:
        left_crop:
          allOf:
            - $ref: '#/components/schemas/Coordinate'
          description: Left crop coordinate
        right_crop:
          allOf:
            - $ref: '#/components/schemas/Coordinate'
          description: Right crop coordinate
        size:
          allOf:
            - $ref: '#/components/schemas/Size'
          description: Size of the image
      type: object
      required:
        - left_crop
        - right_crop
        - size
      title: CropData
    Coordinate:
      properties:
        x:
          type: number
          title: X
          description: X coordinate of the point
        'y':
          type: number
          title: 'Y'
          description: Y coordinate of the point
      type: object
      required:
        - x
        - 'y'
      title: Coordinate
    Size:
      properties:
        width:
          type: number
          title: Width
          description: Width of the image
        height:
          type: number
          title: Height
          description: Height of the image
      type: object
      required:
        - width
        - height
      title: Size
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: token

````